> This page is for Workspace app.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Get this turn’s browser

GET https://api.cloudraker.com/workspace/sessions/{sessionId}/turns/{turnId}/browser

Reference: https://docs.cloudraker.com/workspace/api/workspace-sessions/get-workspace-browser

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `sessionId` (string, required)
- `turnId` (string, required)

## Response

### 200

Safe browser state.

- `data` (WorkspaceSessionsSessionIdTurnsTurnIdBrowserGetResponsesContentApplicationJsonSchemaData, required, nullable)
- `browserQuestionId` (string, required, nullable)
- `successorTurnId` (string, optional)

## Errors

### 404 Not Found Error

No authorized browser.

- `error` (string, required) — The sentence a human reads.
- `error_code` (string, required) — The stable snake_case branch key.
- `issues` (list of ErrorEnvelopeIssuesItems, optional) — Per-field detail, present only on a validation failure.

### 409 Conflict Error

Browser control changed.

- `error` (string, required) — The sentence a human reads.
- `error_code` (string, required) — The stable snake_case branch key.
- `issues` (list of ErrorEnvelopeIssuesItems, optional) — Per-field detail, present only on a validation failure.

### 503 Service Unavailable Error

Browser temporarily unavailable.

- `error` (string, required) — The sentence a human reads.
- `error_code` (string, required) — The stable snake_case branch key.
- `issues` (list of ErrorEnvelopeIssuesItems, optional) — Per-field detail, present only on a validation failure.

## Types

### WorkspaceSessionsSessionIdTurnsTurnIdBrowserGetResponsesContentApplicationJsonSchemaData

- `viewport` (WorkspaceSessionsSessionIdTurnsTurnIdBrowserGetResponsesContentApplicationJsonSchemaDataViewport, required)
- `browserId` (string, required)
- `status` (enum, required)
  - Allowed values: `starting`, `agent_active`, `handoff_requested`, `human_active`, `returning`, `closing`, `closed`, `expired`, `failed`
- `generation` (integer, required)
- `controlGeneration` (integer, required)
- `sessionId` (string, required)
- `turnId` (string, required)
- `agentId` (string, required)
- `visibility` (enum, required)
  - Allowed values: `private`, `shared`
- `url` (string, required, nullable)
- `title` (string, required, nullable)
- `updatedAt` (double, required)
- `expiresAt` (double, required)
- `handoffId` (string, required, nullable)
- `handoffReason` (string, required, nullable)
- `controllerUserId` (string, required, nullable)
- `screenshotAvailable` (boolean, required)
- `savedLogins` (boolean, required)
- `allowedDomains` (list of string, required)
- `error` (string, required, nullable)

### ErrorEnvelopeIssuesItems

- `path` (string, required)
- `code` (string, required)
- `message` (string, required)

### WorkspaceSessionsSessionIdTurnsTurnIdBrowserGetResponsesContentApplicationJsonSchemaDataViewport

- `width` (double, required)
- `height` (double, required)

## Examples

**Response**

```json
{
  "data": {
    "viewport": {
      "width": 1.1,
      "height": 1.1
    },
    "browserId": "string",
    "status": "starting",
    "generation": 1,
    "controlGeneration": 1,
    "sessionId": "string",
    "turnId": "string",
    "agentId": "string",
    "visibility": "private",
    "url": "string",
    "title": "string",
    "updatedAt": 1.1,
    "expiresAt": 1.1,
    "handoffId": "string",
    "handoffReason": "string",
    "controllerUserId": "string",
    "screenshotAvailable": true,
    "savedLogins": true,
    "allowedDomains": [
      "string"
    ],
    "error": "string"
  },
  "browserQuestionId": "string",
  "successorTurnId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.cloudraker.com/workspace/sessions/sessionId/turns/turnId/browser"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.cloudraker.com/workspace/sessions/sessionId/turns/turnId/browser';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cloudraker.com/workspace/sessions/sessionId/turns/turnId/browser"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cloudraker.com/workspace/sessions/sessionId/turns/turnId/browser")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.cloudraker.com/workspace/sessions/sessionId/turns/turnId/browser")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.cloudraker.com/workspace/sessions/sessionId/turns/turnId/browser', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cloudraker.com/workspace/sessions/sessionId/turns/turnId/browser");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cloudraker.com/workspace/sessions/sessionId/turns/turnId/browser")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```